Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class Selector

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.Selector

public class Selector
extends java.lang.Object

Schema identity constraint selector.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: Selector.java,v 1.12 2001/06/01 20:08:45 neilg Exp $
Author:
  Andy Clark, IBM

Inner Class Summary
`protected class` | `Selector.Matcher` Selector matcher.
`static class` | `Selector.XPath` Schema identity constraint selector XPath expression.

Field Summary
`protected IdentityConstraint` | `fIdentityConstraint` Identity constraint.
`protected Selector.XPath` | `fXPath` XPath.

Constructor Summary
`Selector(Selector.XPath xpath, IdentityConstraint identityConstraint)` Constructs a selector.

Method Summary
`XPathMatcher` | `createMatcher(FieldActivator activator)` Creates a selector matcher.
`IdentityConstraint` | `getIdentityConstraint()` Returns the identity constraint.
`XPath` | `getXPath()` Returns the selector XPath.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fXPath

    protected Selector.XPath fXPath

  XPath.

### fIdentityConstraint

    protected IdentityConstraint fIdentityConstraint

  Identity constraint.

Constructor Detail

### Selector

    public Selector(Selector.XPath xpath,
                    IdentityConstraint identityConstraint)

  Constructs a selector.

Method Detail

### getXPath

    public XPath getXPath()

  Returns the selector XPath.

### getIdentityConstraint

    public IdentityConstraint getIdentityConstraint()

  Returns the identity constraint.

### createMatcher

    public XPathMatcher createMatcher(FieldActivator activator)

  Creates a selector matcher.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference